<?php

namespace Drupal\synhelper\Hook;

use Drupal\Core\Controller\ControllerBase;

/**
 * AjaxContactForm.
 */
class FormAlter extends ControllerBase {

  /**
   * Hook.
   */
  public static function hook(&$form, &$form_state, $form_id) {
    // Создание и редактирование материала.
    if (strpos($form_id, 'node_') === 0) {
      // Revision Log - спрятать.
      if (isset($form['revision_log'])) {
        $form['revision_log']['#type'] = 'hidden';
        $form['revision_information']['#group'] = FALSE;
        $form['revision_information']['#open'] = FALSE;
      }
      // Path - спрятать.
      if (isset($form['path_settings'])) {
        $form['path_settings']['#group'] = FALSE;
        $form['path_settings']['#open'] = FALSE;
      }
      // Attach - свернуть.
      if (isset($form['field_attach'])) {
        $form['field_attach']['widget']['#open'] = FALSE;
      }
      // Gallery - свернуть.
      if (isset($form['field_gallery'])) {
        $form['field_gallery']['widget']['#open'] = FALSE;
      }
    }
  }

}
